package com.jiuqi.sql;

import java.util.Date;
import java.io.OutputStream;

public interface OutputRecordBuffer
{
    void writeRecord(final OutputStream p0) throws DBException;
    
    void clearBuffer() throws DBException;
    
    void writeBoolean(final FieldInfo p0, final boolean p1) throws DBException;
    
    void writeDouble(final FieldInfo p0, final double p1) throws DBException;
    
    void writeInt(final FieldInfo p0, final int p1) throws DBException;
    
    void writeString(final FieldInfo p0, final String p1) throws DBException;
    
    void writeLong(final FieldInfo p0, final long p1) throws DBException;
    
    void writeDate(final FieldInfo p0, final Date p1) throws DBException;
    
    void writeNull(final FieldInfo p0) throws DBException;
}
